/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.aktien.gui.parts;

import java.util.List;

import de.frankmuenster.jameica.finanzen.FinanceException;
import de.frankmuenster.jameica.finanzen.boerseard.ArdStockInfoBean;
import de.frankmuenster.jameica.finanzen.boerseard.BoerseArdApi;

/**
 * @author Frank Mnster
 */
public class BoerseArdSearchPart extends AbstractStockSearchPart<ArdStockInfoBean> {

    /**
     * Standardkonstruktor
     *
     * @param listener
     * @param resultRows
     */
    public BoerseArdSearchPart(final SearchResultSelectListener<ArdStockInfoBean> listener, final int resultRows) {
        super(listener, resultRows);
    }

    /**
     * @see de.frankmuenster.mahoe.banks.aktien.gui.parts.AbstractStockSearchPart#formatListEntry(de.frankmuenster.jameica.finanzen.StockInfoBean)
     */
    @Override
    protected String formatListEntry(final ArdStockInfoBean bean) {

        final StringBuilder result = new StringBuilder(40);
        StringBuilder help = new StringBuilder(bean.getName()).append(AbstractStockSearchPart.SPACE_20);
        result.append(help.substring(0, 20)).append(AbstractStockSearchPart.SPACE_3);
        help = new StringBuilder(bean.getType()).append(AbstractStockSearchPart.SPACE_10);
        result.append(help.substring(0, 10)).append(AbstractStockSearchPart.SPACE_3);
        return result.toString();
    }

    /**
     * @see de.frankmuenster.mahoe.banks.aktien.gui.parts.AbstractStockSearchPart#perfromSearch(java.lang.String)
     */
    @Override
    protected List<ArdStockInfoBean> perfromSearch(final String search) throws FinanceException {

        return BoerseArdApi.getInstance().getSearchResults(search);
    }

}
