
package de.frankmuenster.mahoe.banks.bsh.json;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import de.frankmuenster.mahoe.banks.bsh.json.deserializer.ContractsDeserializer;

/**
 * JSON Antwort der Vertagsliste-Anfrage
 *
 * @author Frank Mnster / Quirin Huber
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AccountListResponse extends BshResponse implements IBshResponse {

    /**
     * Liste mit Vertrgen
     */
    @JsonProperty("data")
    @JsonDeserialize(using = ContractsDeserializer.class)
    private List<Account> accounts;

    /**
     * Standardkonstruktor
     */
    public AccountListResponse() {
	super();
    }

    /**
     * Liefert die Vertrge zu der Kundennummer
     *
     * @return die Liste der Vertrge
     */
    @JsonProperty("data")
    public List<Account> getAccounts() {

	return this.accounts;
    }
}
