
package de.frankmuenster.mahoe.banks.targobank.pdfextractor;

import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Locale;

import de.frankmuenster.mahoe.pdfextractor.AbstractTransactionCreator;
import de.frankmuenster.mahoe.pdfextractor.PdfEintrag;

/**
 * Implementierung des TransactionCreator der TargoBank
 *
 * @author Frank Mnster
 */
public class TargoBankTransactionCreator extends AbstractTransactionCreator {

    /**
     * @param buchungsDaten
     * @param lineHeigh
     */
    public TargoBankTransactionCreator(final List<PdfEintrag> buchungsDaten, final double lineHeigh) {
        super(buchungsDaten, lineHeigh);

    }

    /**
     * @see de.frankmuenster.mahoe.pdfextractor.AbstractTransactionCreator#getDateFormat()
     */
    @Override
    protected SimpleDateFormat getDateFormat() {

        return new SimpleDateFormat("dd.MM.yyyy", Locale.GERMAN); //$NON-NLS-1$

    }

    /**
     * @see de.frankmuenster.mahoe.pdfextractor.AbstractTransactionCreator#getNumberFormat()
     */
    @Override
    protected NumberFormat getNumberFormat() {

        return NumberFormat.getInstance(Locale.GERMAN);

    }

}
