/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.mahoe.gui.controller;

import org.apache.commons.lang.StringUtils;

import de.frankmuenster.mahoe.Settings;
import de.willuhn.jameica.gui.AbstractControl;
import de.willuhn.jameica.gui.input.FileInput;
import de.willuhn.jameica.hbci.gui.input.KontoInput;

/**
 * Controller for the general settings tab
 *
 * @author Frank Mnster
 */
public class GeneralSettingsController extends AbstractControl implements SettingsController {

    /**
     * FileInput to set the Selenium driver
     */
    private FileInput seleniumDriver;

    /**
     * Constructor with super call
     */
    public GeneralSettingsController() {

        //
        super(null);
    }

    /**
     * Returns a {@link FileInput} to select the Firefox driver
     *
     * @return FileInput field
     */
    public FileInput getFileInput() {

        if (this.seleniumDriver == null) {
            final String driver = Settings.getSeleniumDriver();
            this.seleniumDriver = new FileInput(driver, false);
        }
        return this.seleniumDriver;
    }

    /**
     * @see SettingsController#speichern()
     */
    @Override
    public void speichern() {

        String driver = (String) this.getFileInput().getValue();
        if (driver == null) {
            driver = StringUtils.EMPTY;
        }
        Settings.setSeleniumDriver(driver);

    }

    /**
     * @see SettingsController#getKonto()
     */
    @Override
    public KontoInput getKonto() {

        return null;
    }

    /**
     * General settings do not support account statements :-)
     */
    @Override
    public boolean supportsStatements() {

        return false;
    }

}
