/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.gui.parts;

import de.frankmuenster.mahoe.gui.controller.SantanderSettingsController;
import de.frankmuenster.mahoe.utils.I18N;
import de.willuhn.jameica.gui.util.SimpleContainer;

/**
 * @author Frank Mnster
 */
public class SantanderSettingsPart extends AbstractSettingsPart<SantanderSettingsController> {

    /**
     * Erstellt ein SantanderSetting Part mit allen Einstellungsmglichkeiten
     * der Santander Bank
     *
     * @param control
     *            der SantanderSettingsController
     */
    public SantanderSettingsPart(final SantanderSettingsController control) {
        super(control);
    }

    @Override
    protected void paintBankSpecific(final SimpleContainer left, final SimpleContainer right) {

        final SimpleContainer left3 = new SimpleContainer(left.getComposite());
        left3.addText(AbstractSettingsPart.FIX_SPACE_TEXT, true);

        left3.addHeadline(I18N.tr("SantanderSettingsPart.onlyForCreditCardHeadLine")); //$NON-NLS-1$
        left3.addLabelPair(I18N.tr("SantanderSettingsPart.cardNumberLbl"), this.control.getCardNumber()); //$NON-NLS-1$
        left3.addLabelPair(I18N.tr("SantanderSettingsPart.createClearingLbl"), this.control.getCreateClearing()); //$NON-NLS-1$
        left3.addLabelPair(I18N.tr("SantanderSettingsPart.clearingAccountLbl"), this.control.getClearingAccount()); //$NON-NLS-1$

        left.addText(AbstractSettingsPart.FIX_SPACE_TEXT, true);

        right.addText(AbstractSettingsPart.FIX_SPACE_TEXT, false);
    }

}
